## ros-foxy-rosidl-parser 1.3.1

=== debian/changelog ===
ros-foxy-rosidl-parser (1.3.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 27 May 2023 00:00:00 -0000

ros-foxy-rosidl-parser (1.3.0-1focal) focal; urgency=high

  * Always include whitespace in string literals (#688 <https://github.com/ros2/rosidl/issues/688>) (#691 <https://github.com/ros2/rosidl/issues/691>)
  * Fix escaping in string literals (#595 <https://github.com/ros2/rosidl/issues/595>) (#618 <https://github.com/ros2/rosidl/issues/618>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron, Shane Loretz

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 20 Sep 2022 00:00:00 -0000

ros-foxy-rosidl-parser (1.2.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 14 Apr 2021 00:00:00 -0000

ros-foxy-rosidl-parser (1.2.0-1focal) focal; urgency=high

  * Fix parsing of small floats (#554 <https://github.com/ros2/rosidl/issues/554>)
  * Contributors: Chris Lalancette

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-foxy-rosidl-parser (1.1.0-1focal) focal; urgency=high

  * Allow zero length string constants (#507 <https://github.com/ros2/rosidl/issues/507>)
  * Add pytest.ini so tests succeed locally (#502 <https://github.com/ros2/rosidl/issues/502>)
  * Contributors: Chris Lalancette, Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 17 Aug 2020 00:00:00 -0000

ros-foxy-rosidl-parser (1.0.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rosidl-parser (1.0.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 22 May 2020 00:00:00 -0000

ros-foxy-rosidl-parser (0.9.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 19 May 2020 00:00:00 -0000

ros-foxy-rosidl-parser (0.9.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 May 2020 00:00:00 -0000

ros-foxy-rosidl-parser (0.9.0-1focal) focal; urgency=high

  * Use f-string (#436 <https://github.com/ros2/rosidl/issues/436>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Apr 2020 00:00:00 -0000

ros-foxy-rosidl-parser (0.8.2-1focal) focal; urgency=high

  * Allow 'get_const_expr_value' to parse either literals or scoped_names… (#430 <https://github.com/ros2/rosidl/issues/430>)
  * Use imperative mood in constructor docstring. (#425 <https://github.com/ros2/rosidl/issues/425>)
  * Contributors: Steven! Ragnarök, kylemarcey

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Jan 2020 00:00:00 -0000

ros-foxy-rosidl-parser (0.8.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-rosidl-parser (0.8.0-1focal) focal; urgency=high

  * support adjacent string literals, use them for multi-line comments (#410 <https://github.com/ros2/rosidl/issues/410>)
  * fix parsing empty string literal (#409 <https://github.com/ros2/rosidl/issues/409>)
  * add constant for member name in empty structs (#389 <https://github.com/ros2/rosidl/issues/389>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Sep 2019 00:00:00 -0000
