=== debian/control ===
Source: ros-foxy-rosidl-parser
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-foxy-ament-cmake, ros-foxy-ament-cmake-pytest <!nocheck>, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rosidl-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-lark, ros-foxy-rosidl-adapter, ros-foxy-ros-workspace
Description: The parser for ROS interface files.
